Cleaned ut old linux-gui makefile a bit
[olsrd.git] / gui / linux-gtk / Makefile
index 9377d05..9620cfa 100644 (file)
@@ -1,26 +1,18 @@
-CC=    gcc
-#CC=     arm-linux-gcc
+CC ?=  gcc
 
-CFLAGS= -Wall `pkg-config --cflags gtk+-2.0` #-g #to use GDB
+CFLAGS ?= -Wall `pkg-config --cflags gtk+-2.0`
 LFLAGS= `pkg-config --libs gtk+-2.0`
 
-SRCS=  src/main.c src/interface.c src/callbacks.c src/ipc.c \
-       src/packet.c src/nodes.c src/routes.c
-
 OBJS=  src/main.o src/interface.o src/callbacks.o src/ipc.o \
        src/packet.o src/nodes.o src/routes.o
 
-HDRS=  src/main.h src/interface.h src/callbacks.h src/ipc.h \
-       src/olsr.h src/types.h src/packet.h src/nodes.h \
-       src/pixmaps.h src/routes.h
-
 all:   olsrd-gui
 
 olsrd-gui:     $(OBJS)
-       $(CC) $(LFLAGS) -o bin/$@ $(OBJS)
+       $(CC) $(LFLAGS) -o $@ $(OBJS)
 
 clean:
        rm -f $(OBJS)
 
 install:
-       cp ./bin/olsrd-gui /usr/bin/
+       cp ./olsrd-gui /usr/bin/